org.codehaus.plexus.configuration.io

## Class XmlPlexusConfigurationWriter

- java.lang.Object
- - org.codehaus.plexus.configuration.io.XmlPlexusConfigurationWriter

All Implemented Interfaces:
  PlexusConfigurationWriter

    public class XmlPlexusConfigurationWriter
    extends java.lang.Object
    implements PlexusConfigurationWriter

### Constructor Summary

Constructors
Constructor and Description
`XmlPlexusConfigurationWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(java.io.OutputStream outputStream, PlexusConfiguration configuration)`
`void` `write(java.io.Writer writer, PlexusConfiguration configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlPlexusConfigurationWriter

    public XmlPlexusConfigurationWriter()

### Method Detail

#### write

    public void write(java.io.OutputStream outputStream,
                      PlexusConfiguration configuration)
               throws java.io.IOException

Specified by:
  `write` in interface `PlexusConfigurationWriter`
Throws:
  `java.io.IOException`

#### write

    public void write(java.io.Writer writer,
                      PlexusConfiguration configuration)
               throws java.io.IOException

Specified by:
  `write` in interface `PlexusConfigurationWriter`
Throws:
  `java.io.IOException`